From a5de3ab482785ff860e393ba0c283aa9f717c770 Mon Sep 17 00:00:00 2001
From: Carl Eugen Hoyos <ceffmpeg@gmail.com>
Date: Fri, 2 Sep 2022 22:54:23 +0200
Subject: [PATCH] lavf/hevc: Fix type specifiers, missed in 8b5d1553

Fixes several warnings:
warning: format specifies type 'unsigned char' but the argument has type 'unsigned int'
---
 libavformat/hevc.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/libavformat/hevc.c b/libavformat/hevc.c
index 1841dd5785..ca5187a92e 100644
--- a/libavformat/hevc.c
+++ b/libavformat/hevc.c
@@ -848,15 +848,15 @@ static int hvcc_write(AVIOContext *pb, HEVCDecoderConfigurationRecord *hvcc)
         if (array->numNalus == 0)
             continue;
 
-        av_log(NULL, AV_LOG_TRACE, "array_completeness[%"PRIu8"]:               %"PRIu8"\n",
+        av_log(NULL, AV_LOG_TRACE, "array_completeness[%u]:               %"PRIu8"\n",
                j, array->array_completeness);
-        av_log(NULL, AV_LOG_TRACE, "NAL_unit_type[%"PRIu8"]:                    %"PRIu8"\n",
+        av_log(NULL, AV_LOG_TRACE, "NAL_unit_type[%u]:                    %"PRIu8"\n",
                j, array->NAL_unit_type);
-        av_log(NULL, AV_LOG_TRACE, "numNalus[%"PRIu8"]:                         %"PRIu16"\n",
+        av_log(NULL, AV_LOG_TRACE, "numNalus[%u]:                         %"PRIu16"\n",
                j, array->numNalus);
         for (unsigned k = 0; k < array->numNalus; k++)
             av_log(NULL, AV_LOG_TRACE,
-                    "nalUnitLength[%"PRIu8"][%"PRIu16"]:                 %"PRIu16"\n",
+                    "nalUnitLength[%u][%u]:                 %"PRIu16"\n",
                    j, k, array->nalUnitLength[k]);
         j++;
     }
-- 
2.17.1

